package com.yanzhu.manage.service;

import java.util.List;
import com.yanzhu.manage.domain.BusExamInfo;

/**
 * 基础试卷Service接口
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public interface IBusExamInfoService 
{
    /**
     * 查询基础试卷
     * 
     * @param id 基础试卷主键
     * @return 基础试卷
     */
    public BusExamInfo selectBusExamInfoById(Long id);

    /**
     * 查询基础试卷列表
     * 
     * @param busExamInfo 基础试卷
     * @return 基础试卷集合
     */
    public List<BusExamInfo> selectBusExamInfoList(BusExamInfo busExamInfo);

    /**
     * 新增基础试卷
     * 
     * @param busExamInfo 基础试卷
     * @return 结果
     */
    public int insertBusExamInfo(BusExamInfo busExamInfo);

    /**
     * 修改基础试卷
     * 
     * @param busExamInfo 基础试卷
     * @return 结果
     */
    public int updateBusExamInfo(BusExamInfo busExamInfo);

    /**
     * 批量删除基础试卷
     * 
     * @param ids 需要删除的基础试卷主键集合
     * @return 结果
     */
    public int deleteBusExamInfoByIds(Long[] ids);

    /**
     * 删除基础试卷信息
     * 
     * @param id 基础试卷主键
     * @return 结果
     */
    public int deleteBusExamInfoById(Long id);
}
